<?php

namespace IZON\Admin\Domain;

use \IZON\DB\DBObject;

/**
 * propojuje dblocale a modul a urcuje v jakych locale je mozne modul provozovat
 */
class AdminModuleLocale implements DBObject {
    
    /**
     * nazev tabulky na kterou se mapuje
     */
    public static function __tableName() { return 'core_admin_module_dblocale_locales'; }
    
    /**
     * @var integer 
     */
    protected $id;

    /**
     * @var integer
     */
    protected $fkAdminModuleId;

    /**
     *
     * @var integer 
     */
    protected $fkDblocaleLocaleId;
    
    
    /// generovane gettery a settery
    function getId() {
        return $this->id;
    }

    function getFkAdminModuleId() {
        return $this->fkAdminModuleId;
    }

    function getFkDblocaleLocaleId() {
        return $this->fkDblocaleLocaleId;
    }

    function setId($id) {
        $this->id = $id;
    }

    function setFkAdminModuleId($fkAdminModuleId) {
        $this->fkAdminModuleId = $fkAdminModuleId;
    }

    function setFkDblocaleLocaleId($fkDblocaleLocaleId) {
        $this->fkDblocaleLocaleId = $fkDblocaleLocaleId;
    }
}

